All of lore.kernel.org
 help / color / mirror / Atom feed
From: Fam Zheng <famz@redhat.com>
To: qemu-devel@nongnu.org
Cc: berrange@redhat.com, "Alex Bennée" <alex.bennee@linaro.org>,
	"Fam Zheng" <famz@redhat.com>,
	"Philippe Mathieu-Daudé" <f4bug@amsat.org>,
	pbonzini@redhat.com, stefanha@redhat.com,
	"Cleber Rosa" <crosa@redhat.com>,
	"Peter Maydell" <peter.maydell@linaro.org>,
	eblake@redhat.com, "Kamil Rytarowski" <kamil@netbsd.org>
Subject: [Qemu-devel] [PATCH v8 03/13] scripts: Add archive-source.sh
Date: Mon, 18 Sep 2017 10:43:52 +0800	[thread overview]
Message-ID: <20170918024402.3265-4-famz@redhat.com> (raw)
In-Reply-To: <20170918024402.3265-1-famz@redhat.com>

Signed-off-by: Fam Zheng <famz@redhat.com>
---
 scripts/archive-source.sh | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100755 scripts/archive-source.sh

diff --git a/scripts/archive-source.sh b/scripts/archive-source.sh
new file mode 100755
index 0000000000..8b373e3090
--- /dev/null
+++ b/scripts/archive-source.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Author: Fam Zheng <famz@redhat.com>
+#
+# Archive source tree, including submodules. This is created for test code to
+# export the source files, in order to be built in a different enviornment,
+# such as in a docker instance or VM.
+#
+# This code is licensed under the GPL version 2 or later.  See
+# the COPYING file in the top-level directory.
+
+set -e
+
+if test $# -lt 1; then
+    echo "Usage: $0 <output tarball>"
+    exit 1
+fi
+
+submodules=$(git submodule foreach --recursive --quiet 'echo $name')
+
+if test -n "$submodules"; then
+    {
+        git ls-files
+        for sm in $submodules; do
+            (cd $sm; git ls-files) | sed "s:^:$sm/:"
+        done
+    } | grep -x -v $(for sm in $submodules; do echo "-e $sm"; done) > "$1".list
+else
+    git ls-files > "$1".list
+fi
+
+tar -cf "$1" -T "$1".list
+rm "$1".list
-- 
2.13.5

  parent reply	other threads:[~2017-09-18  2:44 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-18  2:43 [Qemu-devel] [PATCH v8 00/13] tests: Add VM based build tests (for non-x86_64 and/or non-Linux) Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 01/13] gitignore: Ignore vm test images Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 02/13] qemu.py: Add "wait()" method Fam Zheng
2017-09-18  2:43 ` Fam Zheng [this message]
2017-09-18  9:26   ` [Qemu-devel] [PATCH v8 03/13] scripts: Add archive-source.sh Alex Bennée
2017-09-18 15:14   ` Eric Blake
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 04/13] tests: Add a test key pair Fam Zheng
2017-09-18 15:17   ` Eric Blake
2017-09-19  2:10     ` Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 05/13] tests: Add vm test lib Fam Zheng
2017-09-18 10:14   ` Alex Bennée
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 06/13] tests: Add ubuntu.i386 image Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 07/13] tests: Add FreeBSD image Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 08/13] tests: Add NetBSD image Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 09/13] tests: Add OpenBSD image Fam Zheng
2017-09-18  2:43 ` [Qemu-devel] [PATCH v8 10/13] Makefile: Add rules to run vm tests Fam Zheng
2017-09-18 11:42   ` Alex Bennée
2017-09-18  2:44 ` [Qemu-devel] [PATCH v8 11/13] MAINTAINERS: Add tests/vm entry Fam Zheng
2017-09-18  2:44 ` [Qemu-devel] [PATCH v8 12/13] tests: Add README for vm tests Fam Zheng
2017-09-18  9:43   ` Alex Bennée
2017-09-18 12:03     ` Fam Zheng
2017-09-18 15:20   ` Eric Blake
2017-09-18  2:44 ` [Qemu-devel] [PATCH v8 13/13] docker: Use archive-source.py Fam Zheng
2017-09-18  9:29   ` Alex Bennée
2017-09-18  3:09 ` [Qemu-devel] [PATCH v8 00/13] tests: Add VM based build tests (for non-x86_64 and/or non-Linux) no-reply

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170918024402.3265-4-famz@redhat.com \
    --to=famz@redhat.com \
    --cc=alex.bennee@linaro.org \
    --cc=berrange@redhat.com \
    --cc=crosa@redhat.com \
    --cc=eblake@redhat.com \
    --cc=f4bug@amsat.org \
    --cc=kamil@netbsd.org \
    --cc=pbonzini@redhat.com \
    --cc=peter.maydell@linaro.org \
    --cc=qemu-devel@nongnu.org \
    --cc=stefanha@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.